unit Demosht;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons, INIrout, Spin, ExtCtrls, Mask;

type
  TForm1 = class(TForm)
    INID: TINIDirector;
    cbContinental: TINICheckBox;
    cbMonth: TINIComboBox;
    txtName: TINIEdit;
    lbVacPreference: TINIListBox;
    mePhoneNumber: TINIMaskEdit;
    rgTypePackage: TINIRadioGroup;
    rbHigh: TINIRadioButton;
    rbLow: TINIRadioButton;
    rbMedium: TINIRadioButton;
    seTPY: TINISpinEdit;
    sbDown: TINISpeedButton;
    sbUp: TINISpeedButton;
    OD1: TINIOpenDialog;
    BitBtn1: TBitBtn;
    lbSheets: TINIListBox;
    Name: TLabel;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Bevel1: TBevel;
    Bevel2: TBevel;
    Label6: TLabel;
    Bevel3: TBevel;
    Label7: TLabel;
    Label8: TLabel;
    cmdSaveSheet: TButton;
    cmdLoadSheet: TButton;
    cmdExit: TBitBtn;
    txtSheetName: TEdit;
    Label9: TLabel;
    cmdDeleteSheet: TButton;
    cmdSaveINIFile: TButton;
    Label10: TLabel;
    txtAddr: TINIEdit;
    FD1: TFontDialog;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    cmdMarkSheet: TButton;
    cmdDeleteMarked: TButton;
    cbDeleteMarkedOnExit: TINICheckBox;
    procedure cmdExitClick(Sender: TObject);
    procedure cmdSaveSheetClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure cmdLoadSheetClick(Sender: TObject);
    procedure cmdDeleteSheetClick(Sender: TObject);
    procedure cmdSaveINIFileClick(Sender: TObject);
    procedure lbSheetsDblClick(Sender: TObject);
    procedure txtAddrDblClick(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure txtNameDblClick(Sender: TObject);
    procedure cmdMarkSheetClick(Sender: TObject);
    procedure cmdDeleteMarkedClick(Sender: TObject);
    procedure cbDeleteMarkedOnExitClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.cmdExitClick(Sender: TObject);
begin
   Self.Close;
end;

procedure TForm1.cmdSaveSheetClick(Sender: TObject);
begin
   INID.SaveToSheet(Self, txtSheetName.Text);
   lbSheets.Items := INID.GetSheets;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
   lbSheets.Items := INID.GetSheets;
   INID.ReadFromINIFile;

    if cbDeleteMarkedOnExit.Checked = True then
      INID.DeleteMarkedOnDestroy := True
   else
      INID.DeleteMarkedOnDestroy := False;

end;

procedure TForm1.cmdLoadSheetClick(Sender: TObject);
begin
  if lbSheets.ItemIndex <> -1 then
     INID.LoadSheet(lbSheets.Items[lbSheets.ItemIndex]);

end;

procedure TForm1.cmdDeleteSheetClick(Sender: TObject);
begin
   if lbSheets.ItemIndex <> -1 then
     INID.DeleteSheet(lbSheets.Items[lbSheets.ItemIndex]);
   lbSheets.Items := INID.GetSheets;
end;

procedure TForm1.cmdSaveINIFileClick(Sender: TObject);
begin
   INID.SaveToINIFile;
end;

procedure TForm1.lbSheetsDblClick(Sender: TObject);
begin
  INID.LoadSheet(lbSheets.Items[lbSheets.ItemIndex]);
  txtSheetName.Text := lbSheets.Items[lbSheets.ItemIndex];
end;

procedure TForm1.txtAddrDblClick(Sender: TObject);
begin
   FD1.Font := txtAddr.Font;
   if FD1.Execute then
      txtAddr.Font := FD1.Font;
end;

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
   OD1.Execute;
end;

procedure TForm1.txtNameDblClick(Sender: TObject);
begin
   FD1.Font := txtName.Font;
   if FD1.Execute then
      txtName.Font := FD1.Font;
end;

procedure TForm1.cmdMarkSheetClick(Sender: TObject);
begin
   if lbSheets.ItemIndex <> -1 then
      INID.MarkSheetToDelete(lbSheets.Items[lbSheets.ItemIndex]);

   lbSheets.Items := INID.GetSheets;
end;

procedure TForm1.cmdDeleteMarkedClick(Sender: TObject);
begin
   INID.DeleteMarkedSheets;
end;

procedure TForm1.cbDeleteMarkedOnExitClick(Sender: TObject);
begin
   if cbDeleteMarkedOnExit.Checked then
      INID.DeleteMarkedOnDestroy := True
   else
      INID.DeleteMarkedOnDestroy := False;
end;

end.
